<script>
import {getPromiseVerifyList} from "@/api/commitment";

export default {
  data() {
    return {
      formData: {},
    }
  },
  computed: {
    uuid() {
      return this.$route.query.uuid
    }
  },
  watch: {
    uuid: {
      handler(value) {
        if (value) {
          this.getCommitmentDetail()
        }
      },
      immediate: true,
      deep: true
    }
  },
  methods: {
    /* 获取核查详情 */
    async getCommitmentDetail() {
      try {
        this.formData = await getPromiseVerifyList({
          uuid: this.uuid
        })
      } catch (e) {
        console.log(e)
      }
    }
  }
}
</script>

<template>
  <view>

  </view>
</template>

<style scoped lang="scss">

</style>